# date_gui.h File Reference

Functions related to the graphical selection of a date. More...

`#include "date_type.h"`
`#include "window_type.h"`

Go to the source code of this file.

## Typedefs
typedef void | SetDateCallback (const Window *w, Date date)
| Callback for when a date has been chosen.
## Functions
void | ShowSetDateWindow (Window *parent, int window_number, Date initial_date, Year min_year, Year max_year, SetDateCallback *callback)
| Create the new 'set date' window.

## Detailed Description

Functions related to the graphical selection of a date.

Definition in file date_gui.h.

## Typedef Documentation

typedef void SetDateCallback(const Window *w, Date date)

Callback for when a date has been chosen.

Parameters:

  | w | the window that sends the callback
  | date | the date that has been chosen

Definition at line 23 of file date_gui.h.

## Function Documentation

void ShowSetDateWindow | ( | Window * | parent,
|  | int | window_number,
|  | Date | initial_date,
|  | Year | min_year,
|  | Year | max_year,
|  | SetDateCallback * | callback |
| ) |  |  |

Create the new 'set date' window.

Parameters:

  | window_number | number for the window
  | parent | the parent window, i.e. if this closes we should close too
  | initial_date | the initial date to show
  | min_year | the minimum year to show in the year dropdown
  | max_year | the maximum year (inclusive) to show in the year dropdown
  | callback | the callback to call once a date has been selected

Definition at line 226 of file date_gui.cpp.

References DeleteWindowByClass().

Referenced by TimetableWindow::OnClick().